<script>
import { GlEmptyState, GlLink, GlSprintf } from '@gitlab/ui';
import emptyStateSvgUrl from '@gitlab/svgs/dist/illustrations/tanuki-ai-sm.svg?url';
import { __, s__ } from '~/locale';
import SafeHtml from '~/vue_shared/directives/safe_html';
import {
  codeSuggestionsLearnMoreLink,
  salesLink,
} from 'ee/usage_quotas/code_suggestions/constants';
import HandRaiseLeadButton from 'ee/hand_raise_leads/hand_raise_lead/components/hand_raise_lead_button.vue';
import apolloProvider from 'ee/subscriptions/buy_addons_shared/graphql';

export default {
  name: 'CodeSuggestionsIntro',
  helpLinks: {
    codeSuggestionsLearnMoreLink,
    salesLink,
  },
  i18n: {
    contactSales: __('Contact sales'),
    purchaseSeats: __('Purchase seats'),
    description: s__(
      `CodeSuggestions|Enhance your coding experience with intelligent recommendations. %{linkStart}GitLab Duo Pro%{linkEnd} offers features that use generative AI to suggest code.`,
    ),
    title: s__('CodeSuggestions|Introducing GitLab Duo Pro'),
  },
  directives: {
    SafeHtml,
  },
  components: {
    HandRaiseLeadButton,
    GlEmptyState,
    GlLink,
    GlSprintf,
  },
  apolloProvider,
  inject: {
    createHandRaiseLeadPath: { default: null },
    addDuoProHref: { default: null },
  },
  emptyStateSvgUrl,
};
</script>
<template>
  <gl-empty-state
    :primary-button-text="$options.i18n.purchaseSeats"
    :primary-button-link="addDuoProHref"
    :secondary-button-link="$options.helpLinks.salesLink"
    :secondary-button-text="$options.i18n.contactSales"
    :svg-path="$options.emptyStateSvgUrl"
    class="gl-max-w-48 gl-mx-auto"
  >
    <template #title>
      <h1
        v-safe-html="$options.i18n.title"
        class="gl-font-size-h-display gl-line-height-36 h4"
      ></h1>
    </template>
    <template #description>
      <gl-sprintf :message="$options.i18n.description">
        <template #link="{ content }">
          <gl-link :href="$options.helpLinks.codeSuggestionsLearnMoreLink" target="_blank">{{
            content
          }}</gl-link>
        </template>
      </gl-sprintf>
    </template>
    <template #actions>
      <hand-raise-lead-button v-if="createHandRaiseLeadPath" />
    </template>
  </gl-empty-state>
</template>
